Bug 102952 - Missing tracks/albums in the Artists tree view
Summary: Missing tracks/albums in the Artists tree view
Status: RESOLVED FIXED
Alias: None
Product: juk
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michael Pyne
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-31 18:25 UTC by Scott Zelakiewicz
Modified: 2005-08-16 05:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Zelakiewicz 2005-03-31 18:25:36 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Compiled From Sources
Compiler:          gcc 3.2.2 
OS:                Linux

I have multiple albums from the same artist.  When I look at the tree-view of Collection List->Artists, some of the album's do not show up.  I think this is related to a case sensitivty thing.  

For example, one album lists the artist as 'Ani DiFranco' (upper-case 'F') and the other as 'Ani Difranco' (lower case 'f'). The artist list only shows the tracks from 'Ani Difranco' and not 'Ani DiFranco'.  In fact the latter one does not show up on the artist list anywhere. If I look at my whole collection the tracks are there and it is present in Album list as well.
Comment 1 Montana Low 2005-08-15 22:41:38 UTC
I can confirm this same behavior.

The tree-view of automatically generated playlists for artists albums and genres, apparently does a case insensitive match to see whether or not to append an artist album or genre, which seems desireable, but then the playlists themselves are generated using a case sensitive match, which causes some songs and or albums to never show up.
Comment 2 Michael Pyne 2005-08-16 03:25:20 UTC
I've just checked the code, and it is (supposed to be) doing a case insensitive search.  However, I can also reproduce.

Will try to pin down.
Comment 3 Michael Pyne 2005-08-16 05:15:49 UTC
SVN commit 449597 by mpyne:

Fix bug 102952 (Missing tracks in Tree View for Artists).

CCBUG:102952


 M  +1 -1      playlistsearch.cpp  


--- branches/KDE/3.5/kdemultimedia/juk/playlistsearch.cpp #449596:449597
@@ -221,7 +221,7 @@
 	case ContainsWord:
 	{
 	    QString s = item->text(*it);
-	    int i = s.find(m_query);
+	    int i = s.find(m_query, 0, m_caseSensitive);
 
 	    if(i >= 0) {
 
Comment 4 Michael Pyne 2005-08-16 05:23:15 UTC
SVN commit 449598 by mpyne:

Backport fix for bug 102952 (Missing tracks in Tree View for Artists)
to KDE 3.4.

BUG:102952


 M  +1 -1      playlistsearch.cpp  


--- branches/KDE/3.4/kdemultimedia/juk/playlistsearch.cpp #449597:449598
@@ -221,7 +221,7 @@
 	case ContainsWord:
 	{
 	    QString s = item->text(*it);
-	    int i = s.find(m_query);
+	    int i = s.find(m_query, 0, m_caseSensitive);
 
 	    if(i >= 0) {